| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::CLAHE Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Image Processing » Histogram Calculation

Base class for Contrast Limited Adaptive Histogram Equalization. : More...

`#include "cudaimgproc.hpp"`

Inheritance diagram for cv::cuda::CLAHE:

## Public Member Functions
virtual void | apply (InputArray src, OutputArray dst, Stream &stream)=0
| Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. More...
Public Member Functions inherited from cv::CLAHE
virtual void | apply (InputArray src, OutputArray dst)=0
| Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. More...
virtual void | collectGarbage ()=0
virtual double | getClipLimit () const =0
| Returns threshold value for contrast limiting. More...
virtual Size | getTilesGridSize () const =0
| Returns Size defines the number of tiles in row and column. More...
virtual void | setClipLimit (double clipLimit)=0
| Sets threshold for contrast limiting. More...
virtual void | setTilesGridSize (Size tileGridSize)=0
| Sets size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for Contrast Limited Adaptive Histogram Equalization. :

## Member Function Documentation

## § apply()

virtual void cv::cuda::CLAHE::apply | ( | InputArray | src,
|  | OutputArray | dst,
|  | Stream & | stream
| ) |  |
| pure virtual

Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.

Parameters

  src | Source image with CV_8UC1 type.
  dst | Destination image.
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- cudaimgproc/include/opencv2/cudaimgproc.hpp